* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	font-family: "Space Mono", sans-serif;
}
/* To remove number wheel */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

/* Firefox */
input[type="number"] {
	-moz-appearance: textfield;
}
/* ----------------------- */

body,
html {
	width: 100vw;
	height: 100vh;
	background-color: hsl(185, 41%, 84%);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 25px;
}

#logo {
	z-index: 2;
	position: relative;
	top: 0;
	padding-top: 50px;
	width: 100px;
	/* height: 60px; */
}

#main {
	max-width: 800px;
	max-height: 470px;
	min-width: 532px;
	width: 80%;
	height: 70%;
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-auto-flow: dense;
	background-color: hsl(0, 0%, 100%);
	border-radius: 20px;
	padding: 30px;
	gap: 25px;
	box-shadow: 0px 10px 30px 1px hsla(189, 14%, 56%, 0.336);
}
#calculator {
	/* background-color: aquamarine; */
	height: 100%;
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	gap: 20px;
	font-weight: 700;
	flex-wrap: wrap;
}
#calculator p {
	color: hsl(186, 14%, 43%);
}

.sectionHeader {
	display: grid;
	grid-template-columns: 1fr 1fr;
	justify-content: space-between;
	margin-bottom: 10px;
}
.errorMessage {
	text-align: right;
	color: red;
	font-weight: 200;
}

.inputField {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	background-color: hsla(185, 41%, 84%, 0.158);
	border-radius: 5px;
	padding: 2px;
}
.inputField img {
	height: fit-content;
	width: fit-content;
	margin-left: 10px;
}
.inputField input {
	font-size: 24px;
	width: 100%;
	border: none;
	text-align: right;
	background-color: transparent;
}
input:focus {
	outline: none;
}
input:focus::placeholder {
	color: transparent;
}
.inputField:focus-within {
	outline: 2px solid hsl(172, 67%, 45%);
	border-radius: 5px;
}

.tips {
	/* background-color: burlywood; */
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	align-items: center;
	justify-items: center;
	grid-auto-flow: row;
	gap: 10px;
}

.tipButton {
	font-size: 22px;
	font-weight: 700;
	width: 100%;
	text-align: center;
	background-color: hsl(183, 100%, 15%);
	color: white;
	border: none;
	border-radius: 5px;
	padding: 7px;
}
.tipButton:hover {
	cursor: pointer;
	background-color: hsla(172, 67%, 45%, 0.5);
	color: hsl(183, 100%, 15%);
}
.active {
	background-color: hsl(172, 67%, 45%);
	color: hsl(183, 100%, 15%);
}
#customInput {
	display: flex;
	flex-direction: row-reverse;
	background-color: hsla(185, 41%, 84%, 0.158);
	color: hsl(183, 100%, 15%);
	text-align: center;
	border-radius: 5px;
	padding-right: 10px;
	width: 100%;
	height: 100%;
}
#customTip {
	font-size: 18px;
	width: 100%;
	background-color: hsla(185, 41%, 84%, 0.158);
	color: hsl(183, 100%, 15%);
	text-align: center;
	border-radius: 5px;
}
#customInput:focus-within {
	outline: 1px solid hsl(172, 67%, 45%);
	border-radius: 5px;
	text-align: right;
}
#customTip:focus::placeholder {
	color: transparent;
}
.custom {
	outline: 1px solid hsl(172, 67%, 45%);
	border-radius: 5px;
}

#result {
	height: 100%;
	width: 100%;
	background-color: hsl(183, 100%, 15%);
	border-radius: 20px;
	padding: 40px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	flex-wrap: wrap;
}

.fields {
	/* background-color: blueviolet; */
	display: grid;
	grid-template-columns: 1fr 1fr;
	justify-content: space-between;
	align-items: center;
}
.content {
	font-size: 40px;
	font-weight: 700;
	color: hsl(172, 67%, 45%);
	text-align: right;
}
.label {
	font-size: 14px;
	color: white;
	font-weight: 700;
}
.prompt {
	font-size: 12px;
	font-weight: 700;
	color: hsl(184, 14%, 56%);
}
.activeBtn {
	font-size: 24px;
	font-weight: 700;
	color: hsl(183, 100%, 15%);
	background-color: hsl(172, 67%, 45%);
	border: none;
	border-radius: 5px;
	padding: 5px;
}
.inactiveBtn {
	background-color: hsla(172, 67%, 45%, 0.295);
	border: none;
	border-radius: 5px;
	padding: 5px;
	font-size: 24px;
	font-weight: 700;
	color: hsl(183, 100%, 15%);
}
.activeBtn:hover {
	cursor: pointer;
	background-color: hsl(172, 58%, 71%);
}

/* MEDIA QUERIES */

@media (max-width: 600px) {
	body,
	html {
		background-color: hsl(185, 41%, 84%);
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		gap: 30px;
	}
	#logo {
		margin: 300px 0 10px 0;
		/* width: 20%; */
	}
	#main {
		grid-template-columns: 1fr;
		grid-template-rows: 1fr 1fr;
		max-width: unset;
		max-height: unset;
		min-width: unset;
		width: 100%;
		height: 150%;
		padding: 25px;
		gap: 20px;
		flex-wrap: wrap;
		/* border-radius: 20px 20px 0 0; */
		align-content: center;
		align-items: center;
		/* justify-items: center; */
		justify-content: space-around;
	}
	.sectionHeader {
		font-size: 16px;
	}
	.inputField {
		height: 30px;
	}
	.tipButton {
		font-size: 20px;
		width: 70%;
	}
	.tips {
		/* background-color: burlywood; */
		display: grid;
		grid-template-columns: 1fr 1fr;
		align-items: center;
		justify-items: center;
		grid-auto-flow: row;
		gap: 5px;
	}
	.inputField input {
		font-size: 16px;
		width: 100%;
		border: none;
		text-align: right;
		background-color: transparent;
	}
	#result {
		height: inherit;
		max-height: 250px;
		width: 100%;
		background-color: hsl(183, 100%, 15%);
		border-radius: 20px;
		padding: 30px;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		flex-wrap: wrap;
	}
	.content {
		font-size: 25px;
	}
	#resetBtn {
		font-size: 16px;
	}
	#customInput {
		width: 70%;
	}
}
